Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class ReplyStatusType_1_0

    java.lang.Object
      |
      +--org.omg.GIOP.ReplyStatusType_1_0

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ReplyStatusType_1_0
extends java.lang.Object
implements IDLEntity

Enum definition : ReplyStatusType_1_0

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_LOCATION_FORWARD` Enum member LOCATION_FORWARD value
`static int` | `_NO_EXCEPTION` Enum member NO_EXCEPTION value
`static int` | `_SYSTEM_EXCEPTION` Enum member SYSTEM_EXCEPTION value
`static int` | `_USER_EXCEPTION` Enum member USER_EXCEPTION value
`static ReplyStatusType_1_0` | `LOCATION_FORWARD` Enum member LOCATION_FORWARD
`static ReplyStatusType_1_0` | `NO_EXCEPTION` Enum member NO_EXCEPTION
`static ReplyStatusType_1_0` | `SYSTEM_EXCEPTION` Enum member SYSTEM_EXCEPTION
`static ReplyStatusType_1_0` | `USER_EXCEPTION` Enum member USER_EXCEPTION

Method Summary
`static ReplyStatusType_1_0` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _NO_EXCEPTION

    public static final int _NO_EXCEPTION

  Enum member NO_EXCEPTION value

### NO_EXCEPTION

    public static final ReplyStatusType_1_0 NO_EXCEPTION

  Enum member NO_EXCEPTION

### _USER_EXCEPTION

    public static final int _USER_EXCEPTION

  Enum member USER_EXCEPTION value

### USER_EXCEPTION

    public static final ReplyStatusType_1_0 USER_EXCEPTION

  Enum member USER_EXCEPTION

### _SYSTEM_EXCEPTION

    public static final int _SYSTEM_EXCEPTION

  Enum member SYSTEM_EXCEPTION value

### SYSTEM_EXCEPTION

    public static final ReplyStatusType_1_0 SYSTEM_EXCEPTION

  Enum member SYSTEM_EXCEPTION

### _LOCATION_FORWARD

    public static final int _LOCATION_FORWARD

  Enum member LOCATION_FORWARD value

### LOCATION_FORWARD

    public static final ReplyStatusType_1_0 LOCATION_FORWARD

  Enum member LOCATION_FORWARD

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static ReplyStatusType_1_0 from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD